list: API endpoint for returning a list of creatures.
retrieve: API endpoint for returning a particular creature.

GET /v2/creatures/?format=api&ordering=-darkvision_range&page=68
HTTP 200 OK
Allow: GET, HEAD, OPTIONS
Content-Type: application/json
Vary: Accept

{
    "count": 3541,
    "next": "https://api.open5e.com/v2/creatures/?format=api&ordering=-darkvision_range&page=69",
    "previous": "https://api.open5e.com/v2/creatures/?format=api&ordering=-darkvision_range&page=67",
    "results": [
        {
            "key": "tob2_silenal",
            "name": "Silenal",
            "document": {
                "name": "Tome of Beasts 2",
                "key": "tob2",
                "type": "SOURCE",
                "display_name": "Tome of Beasts 2",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/tome-of-beasts-2/"
            },
            "type": {
                "name": "Fey",
                "key": "fey"
            },
            "size": {
                "name": "Small",
                "key": "small"
            },
            "challenge_rating": 7.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 25,
                "unit": "feet"
            },
            "speed_all": {
                "unit": "feet",
                "walk": 25,
                "crawl": 12,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 12,
                "swim": 12
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "chaotic neutral",
            "languages": {
                "as_string": "Common",
                "data": [
                    {
                        "name": "Common",
                        "key": "common",
                        "desc": "Typical speakers are Humans."
                    }
                ]
            },
            "armor_class": 14,
            "armor_detail": "",
            "hit_points": 117,
            "hit_dice": "18d6+54",
            "experience_points": 2900,
            "ability_scores": {
                "strength": 10,
                "dexterity": 18,
                "constitution": 16,
                "intelligence": 10,
                "wisdom": 13,
                "charisma": 19
            },
            "modifiers": {
                "strength": 0,
                "dexterity": 4,
                "constitution": 3,
                "intelligence": 0,
                "wisdom": 1,
                "charisma": 4
            },
            "initiative_bonus": 4,
            "saving_throws": {
                "charisma": 7
            },
            "saving_throws_all": {
                "strength": 0,
                "dexterity": 4,
                "constitution": 3,
                "intelligence": 0,
                "wisdom": 1,
                "charisma": 7
            },
            "skill_bonuses": {
                "perception": 4,
                "persuasion": 7,
                "stealth": 7
            },
            "skill_bonuses_all": {
                "acrobatics": 4,
                "animal_handling": 1,
                "arcana": 0,
                "athletics": 0,
                "deception": 4,
                "history": 0,
                "insight": 1,
                "intimidation": 4,
                "investigation": 0,
                "medicine": 1,
                "nature": 0,
                "perception": 4,
                "performance": 4,
                "persuasion": 7,
                "religion": 0,
                "sleight_of_hand": 4,
                "stealth": 7,
                "survival": 1
            },
            "passive_perception": 14,
            "resistances_and_immunities": {
                "damage_immunities_display": "",
                "damage_immunities": [],
                "damage_resistances_display": "",
                "damage_resistances": [],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "charmed, poisoned",
                "condition_immunities": [
                    {
                        "name": "Charmed",
                        "key": "charmed"
                    },
                    {
                        "name": "Poisoned",
                        "key": "poisoned"
                    }
                ]
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Cause Row",
                    "desc": "The silenal magically stirs humanoids it can see within 60 feet of it into a frenzy. The frenzied patrons use the statistics of 4d4 commoners or 1 bar brawl. The frenzied patrons don't attack the silenal. The patrons remain frenzied for 10 minutes, until the silenal dies, or until the silenal calms and disperses the mass as a bonus action.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 3,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": {
                        "type": "PER_DAY",
                        "param": 1
                    }
                },
                {
                    "name": "Darts",
                    "desc": "Ranged Weapon Attack: +7 to hit, range 20/40 ft., one target. Hit: 14 (4d4 + 4) piercing damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Darts attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 7,
                            "reach": null,
                            "range": 20,
                            "long_range": 40,
                            "target_creature_only": false,
                            "damage_die_count": 4,
                            "damage_die_type": "D4",
                            "damage_bonus": 4,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Piercing",
                                "key": "piercing"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Multiattack",
                    "desc": "The silenal makes three attacks.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Tankard",
                    "desc": "Melee Weapon Attack: +7 to hit, reach 5 ft., one target. Hit: 7 (1d6 + 4) bludgeoning damage plus 7 (2d6) poison damage. The target must succeed on a DC 15 Constitution saving throw or be poisoned for 1 minute. The target can repeat the saving throw at the end of each of its turns, ending the effect on itself on a success.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Tankard attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 7,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 1,
                            "damage_die_type": "D6",
                            "damage_bonus": 4,
                            "damage_type": null,
                            "extra_damage_die_count": 2,
                            "extra_damage_die_type": "D6",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Poison",
                                "key": "poison"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Drinking Buddy",
                    "desc": "A creature that shares a drink with a silenal has advantage on saving throws against being charmed and poisoned for 1 hour. During this time, if the creature takes violent action against the silenal, the creature has disadvantage on these saving throws for the remainder of the duration."
                },
                {
                    "name": "Drunken Clarity",
                    "desc": "When the silenal is within 5 feet of an alcoholic beverage, it has truesight out to a range of 90 feet. In addition, it notices secret doors hidden by magic within 30 feet of it."
                },
                {
                    "name": "Hide in the Fray",
                    "desc": "The silenal can take the Hide action as a bonus action if it is within 10 feet of two other creatures engaged in combat with each other."
                },
                {
                    "name": "Liquid Courage (Recharge 4-6)",
                    "desc": "As a bonus action, the silenal imbibes nearby alcohol to gain access to a hidden reservoir of audacity and grit. The silenal gains 10 (3d6) temporary hp for 1 minute."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "tob2_snake-with-a-hundred-mage-hands",
            "name": "Snake with a Hundred Mage Hands",
            "document": {
                "name": "Tome of Beasts 2",
                "key": "tob2",
                "type": "SOURCE",
                "display_name": "Tome of Beasts 2",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/tome-of-beasts-2/"
            },
            "type": {
                "name": "Monstrosity",
                "key": "monstrosity"
            },
            "size": {
                "name": "Small",
                "key": "small"
            },
            "challenge_rating": 3.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 30,
                "unit": "feet",
                "climb": 30,
                "swim": 30
            },
            "speed_all": {
                "unit": "feet",
                "walk": 30,
                "crawl": 15,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 30,
                "swim": 30
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "neutral",
            "languages": {
                "as_string": "Common, telepathy 60 ft.",
                "data": [
                    {
                        "name": "Common",
                        "key": "common",
                        "desc": "Typical speakers are Humans."
                    }
                ]
            },
            "armor_class": 14,
            "armor_detail": "",
            "hit_points": 67,
            "hit_dice": "15d6+15",
            "experience_points": 700,
            "ability_scores": {
                "strength": 8,
                "dexterity": 18,
                "constitution": 12,
                "intelligence": 18,
                "wisdom": 10,
                "charisma": 6
            },
            "modifiers": {
                "strength": -1,
                "dexterity": 4,
                "constitution": 1,
                "intelligence": 4,
                "wisdom": 0,
                "charisma": -2
            },
            "initiative_bonus": 4,
            "saving_throws": {},
            "saving_throws_all": {
                "strength": -1,
                "dexterity": 4,
                "constitution": 1,
                "intelligence": 4,
                "wisdom": 0,
                "charisma": -2
            },
            "skill_bonuses": {
                "perception": 2,
                "stealth": 8
            },
            "skill_bonuses_all": {
                "acrobatics": 4,
                "animal_handling": 0,
                "arcana": 4,
                "athletics": -1,
                "deception": -2,
                "history": 4,
                "insight": 0,
                "intimidation": -2,
                "investigation": 4,
                "medicine": 0,
                "nature": 4,
                "perception": 2,
                "performance": -2,
                "persuasion": -2,
                "religion": 4,
                "sleight_of_hand": 4,
                "stealth": 8,
                "survival": 0
            },
            "passive_perception": 12,
            "resistances_and_immunities": {
                "damage_immunities_display": "",
                "damage_immunities": [],
                "damage_resistances_display": "",
                "damage_resistances": [],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "",
                "condition_immunities": []
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": 10,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Bite",
                    "desc": "Melee Weapon Attack: +6 to hit, reach 5 ft. creature. Hit: 9 (2d4 + 4) piercing damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Bite attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 6,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D4",
                            "damage_bonus": 4,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Piercing",
                                "key": "piercing"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Flying Fists",
                    "desc": "The snake unleashes a flurry of spectral punches in a 30-foot cone. Each creature in the area must make a DC 14 Dexterity saving throw. On a failure, a creature takes 10 (3d6) bludgeoning damage and is knocked prone. On a success, a creature takes half the damage and isn't knocked prone.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": {
                        "type": "RECHARGE_ON_ROLL",
                        "param": 5
                    }
                },
                {
                    "name": "Multiattack",
                    "desc": "The snake with a hundred mage hands makes two bite attacks.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Disruptive Ploy",
                    "desc": "As a bonus action, the snake performs a minor ploy with its mage hands against a target it can see within 30 feet of it. The target must succeed on a DC 14 Dexterity saving throw or have disadvantage on its next ability check, attack roll, or saving throw (the snake’s choice) as the snake magically removes the target’s helmet, upends the target’s quiver, or performs some other form of distraction."
                },
                {
                    "name": "One Hundred Mage Hands",
                    "desc": "The snake is surrounded by one hundred, magical, spectral hands. The hands can’t be targeted by spells or attacks and are immune to damage. The hands float within 30 feet of the snake and move with their serpent commander. The snake can decide if the hands are visible. Each hand can carry an object weighing up to 10 pounds and no more than three hands can work in tandem to carry one larger object. The snake’s Dexterity (Sleight of Hand) checks have a range of 30 feet. Whenever the snake makes a Dexterity (Sleight of Hand) check, it can make up to four such checks as part of the same action, but each check must be against a different target. The snake can perform actions normally restricted to creatures with hands, such as opening a door, stirring a bowl of soup, or carrying a lantern. The hands can’t wield weapons or shields or make attacks, except as part of the snake’s Flying Fists action."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "tob2_snow-giant",
            "name": "Snow Giant",
            "document": {
                "name": "Tome of Beasts 2",
                "key": "tob2",
                "type": "SOURCE",
                "display_name": "Tome of Beasts 2",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/tome-of-beasts-2/"
            },
            "type": {
                "name": "Giant",
                "key": "giant"
            },
            "size": {
                "name": "Huge",
                "key": "huge"
            },
            "challenge_rating": 5.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 40,
                "unit": "feet"
            },
            "speed_all": {
                "unit": "feet",
                "walk": 40,
                "crawl": 20,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 20,
                "swim": 20
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "neutral",
            "languages": {
                "as_string": "Common, Giant",
                "data": [
                    {
                        "name": "Common",
                        "key": "common",
                        "desc": "Typical speakers are Humans."
                    },
                    {
                        "name": "Giant",
                        "key": "giant",
                        "desc": "Typical speakers include ogres, and giants."
                    }
                ]
            },
            "armor_class": 11,
            "armor_detail": "",
            "hit_points": 138,
            "hit_dice": "12d12+60",
            "experience_points": 1800,
            "ability_scores": {
                "strength": 19,
                "dexterity": 12,
                "constitution": 20,
                "intelligence": 9,
                "wisdom": 15,
                "charisma": 6
            },
            "modifiers": {
                "strength": 4,
                "dexterity": 1,
                "constitution": 5,
                "intelligence": -1,
                "wisdom": 2,
                "charisma": -2
            },
            "initiative_bonus": 1,
            "saving_throws": {
                "constitution": 8,
                "wisdom": 5
            },
            "saving_throws_all": {
                "strength": 4,
                "dexterity": 1,
                "constitution": 8,
                "intelligence": -1,
                "wisdom": 5,
                "charisma": -2
            },
            "skill_bonuses": {
                "athletics": 7,
                "stealth": 4,
                "survival": 5
            },
            "skill_bonuses_all": {
                "acrobatics": 1,
                "animal_handling": 2,
                "arcana": -1,
                "athletics": 7,
                "deception": -2,
                "history": -1,
                "insight": 2,
                "intimidation": -2,
                "investigation": -1,
                "medicine": 2,
                "nature": -1,
                "perception": 2,
                "performance": -2,
                "persuasion": -2,
                "religion": -1,
                "sleight_of_hand": 1,
                "stealth": 4,
                "survival": 5
            },
            "passive_perception": 12,
            "resistances_and_immunities": {
                "damage_immunities_display": "cold",
                "damage_immunities": [
                    {
                        "name": "Cold",
                        "key": "cold"
                    }
                ],
                "damage_resistances_display": "",
                "damage_resistances": [],
                "damage_vulnerabilities_display": "fire",
                "damage_vulnerabilities": [
                    {
                        "name": "Fire",
                        "key": "fire"
                    }
                ],
                "condition_immunities_display": "grappled, restrained",
                "condition_immunities": [
                    {
                        "name": "Grappled",
                        "key": "grappled"
                    },
                    {
                        "name": "Restrained",
                        "key": "restrained"
                    }
                ]
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Club",
                    "desc": "Melee Weapon Attack: +7 to hit, reach 10 ft., one target. Hit: 11 (3d4 + 4) bludgeoning damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Club attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 7,
                            "reach": 10,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 3,
                            "damage_die_type": "D4",
                            "damage_bonus": 4,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Bludgeoning",
                                "key": "bludgeoning"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Giant Snowball",
                    "desc": "Ranged Weapon Attack: +7 to hit, range 60/240 ft., one target. Hit: 14 (3d6 + 4) bludgeoning damage plus 4 (1d8) cold damage, and the target must succeed on a DC 16 Dexterity save or be blinded until the end of its next turn.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Giant Snowball attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 7,
                            "reach": null,
                            "range": 60,
                            "long_range": 240,
                            "target_creature_only": false,
                            "damage_die_count": 3,
                            "damage_die_type": "D6",
                            "damage_bonus": 4,
                            "damage_type": null,
                            "extra_damage_die_count": 1,
                            "extra_damage_die_type": "D8",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Cold",
                                "key": "cold"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Multiattack",
                    "desc": "The snow giant makes two club attacks.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Snow Camouflage",
                    "desc": "The snow giant has advantage on Dexterity (Stealth) checks made to hide in snowy terrain."
                },
                {
                    "name": "Snow Regeneration",
                    "desc": "The snow giant regains 5 hp at the start of its turn if it has at least 1 hp and it is in snowy terrain."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "tob2_spawn-of-hriggala",
            "name": "Spawn of Hriggala",
            "document": {
                "name": "Tome of Beasts 2",
                "key": "tob2",
                "type": "SOURCE",
                "display_name": "Tome of Beasts 2",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/tome-of-beasts-2/"
            },
            "type": {
                "name": "Fiend",
                "key": "fiend"
            },
            "size": {
                "name": "Huge",
                "key": "huge"
            },
            "challenge_rating": 10.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 40,
                "unit": "feet",
                "burrow": 30
            },
            "speed_all": {
                "unit": "feet",
                "walk": 40,
                "crawl": 20,
                "hover": false,
                "fly": 0,
                "burrow": 30,
                "climb": 20,
                "swim": 20
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "chaotic evil",
            "languages": {
                "as_string": "Common, Darakhul, Void Speech",
                "data": [
                    {
                        "name": "Common",
                        "key": "common",
                        "desc": "Typical speakers are Humans."
                    },
                    {
                        "name": "Void Speech",
                        "key": "void-speech",
                        "desc": "Void speech is a rename of Deep Speech from Tome of Beasts."
                    }
                ]
            },
            "armor_class": 16,
            "armor_detail": "natural armor",
            "hit_points": 138,
            "hit_dice": "12d12+60",
            "experience_points": 5900,
            "ability_scores": {
                "strength": 25,
                "dexterity": 7,
                "constitution": 21,
                "intelligence": 6,
                "wisdom": 8,
                "charisma": 4
            },
            "modifiers": {
                "strength": 7,
                "dexterity": -2,
                "constitution": 5,
                "intelligence": -2,
                "wisdom": -1,
                "charisma": -3
            },
            "initiative_bonus": -2,
            "saving_throws": {
                "constitution": 9,
                "wisdom": 3
            },
            "saving_throws_all": {
                "strength": 7,
                "dexterity": -2,
                "constitution": 9,
                "intelligence": -2,
                "wisdom": 3,
                "charisma": -3
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": -2,
                "animal_handling": -1,
                "arcana": -2,
                "athletics": 7,
                "deception": -3,
                "history": -2,
                "insight": -1,
                "intimidation": -3,
                "investigation": -2,
                "medicine": -1,
                "nature": -2,
                "perception": -1,
                "performance": -3,
                "persuasion": -3,
                "religion": -2,
                "sleight_of_hand": -2,
                "stealth": -2,
                "survival": -1
            },
            "passive_perception": 9,
            "resistances_and_immunities": {
                "damage_immunities_display": "necrotic, poison",
                "damage_immunities": [
                    {
                        "name": "Necrotic",
                        "key": "necrotic"
                    },
                    {
                        "name": "Poison",
                        "key": "poison"
                    }
                ],
                "damage_resistances_display": "cold, fire, lightning; bludgeoning, piercing, and slashing from nonmagical attacks",
                "damage_resistances": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Cold",
                        "key": "cold"
                    },
                    {
                        "name": "Fire",
                        "key": "fire"
                    },
                    {
                        "name": "Lightning",
                        "key": "lightning"
                    },
                    {
                        "name": "Piercing",
                        "key": "piercing"
                    },
                    {
                        "name": "Slashing",
                        "key": "slashing"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "poisoned",
                "condition_immunities": [
                    {
                        "name": "Poisoned",
                        "key": "poisoned"
                    }
                ]
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": 30,
            "tremorsense_range": 60,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Bite",
                    "desc": "Melee Weapon Attack: +11 to hit, reach 5 ft., one target. Hit: 20 (3d8 + 7) piercing damage. If the target is a Large or smaller creature, it is grappled (escape DC 17). Until this grapple ends, the target is restrained, and the spawn can't bite another target.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Bite attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 11,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 3,
                            "damage_die_type": "D8",
                            "damage_bonus": 7,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Piercing",
                                "key": "piercing"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Escape the Material",
                    "desc": "The spawn burrows at least 20 feet through natural rock and opens a portal to the plane of the undead at the end of this movement. The portal remains for 2d4 rounds. The spawn can't have more than one portal open at a time.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 3,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Multiattack",
                    "desc": "The spawn of Hriggala makes two attacks: one with its bite and one with its tendrils.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Tendrils",
                    "desc": "Melee Weapon Attack: +11 to hit, reach 10 ft., one target. Hit: 17 (3d6 + 7) bludgeoning damage plus 14 (4d6) necrotic damage. If the target is a creature, it must succeed on a DC 17 Constitution saving throw or its hp maximum is reduced by an amount equal to the necrotic damage taken. This reduction lasts until the creature finishes a short or long rest. The creature dies if this effect reduces its hp maximum to 0. No physical trace of the creature remains when killed in this way.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Tendrils attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 11,
                            "reach": 10,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 3,
                            "damage_die_type": "D6",
                            "damage_bonus": 7,
                            "damage_type": null,
                            "extra_damage_die_count": 4,
                            "extra_damage_die_type": "D6",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Necrotic",
                                "key": "necrotic"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Magic Resistance",
                    "desc": "The spawn has advantage on saving throws against spells and other magical effects."
                },
                {
                    "name": "Tunneler",
                    "desc": "The spawn can move through solid rock at half its burrow speed and leaves a 10-foot-diameter tunnel in its wake."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "tob2_spurred-water-skate",
            "name": "Spurred Water Skate",
            "document": {
                "name": "Tome of Beasts 2",
                "key": "tob2",
                "type": "SOURCE",
                "display_name": "Tome of Beasts 2",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/tome-of-beasts-2/"
            },
            "type": {
                "name": "Beast",
                "key": "beast"
            },
            "size": {
                "name": "Large",
                "key": "large"
            },
            "challenge_rating": 1.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 40,
                "unit": "feet"
            },
            "speed_all": {
                "unit": "feet",
                "walk": 40,
                "crawl": 20,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 20,
                "swim": 20
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "unaligned",
            "languages": {
                "as_string": "",
                "data": []
            },
            "armor_class": 13,
            "armor_detail": "",
            "hit_points": 60,
            "hit_dice": "8d10+16",
            "experience_points": 200,
            "ability_scores": {
                "strength": 12,
                "dexterity": 17,
                "constitution": 15,
                "intelligence": 3,
                "wisdom": 10,
                "charisma": 6
            },
            "modifiers": {
                "strength": 1,
                "dexterity": 3,
                "constitution": 2,
                "intelligence": -4,
                "wisdom": 0,
                "charisma": -2
            },
            "initiative_bonus": 3,
            "saving_throws": {},
            "saving_throws_all": {
                "strength": 1,
                "dexterity": 3,
                "constitution": 2,
                "intelligence": -4,
                "wisdom": 0,
                "charisma": -2
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 3,
                "animal_handling": 0,
                "arcana": -4,
                "athletics": 1,
                "deception": -2,
                "history": -4,
                "insight": 0,
                "intimidation": -2,
                "investigation": -4,
                "medicine": 0,
                "nature": -4,
                "perception": 0,
                "performance": -2,
                "persuasion": -2,
                "religion": -4,
                "sleight_of_hand": 3,
                "stealth": 3,
                "survival": 0
            },
            "passive_perception": 10,
            "resistances_and_immunities": {
                "damage_immunities_display": "",
                "damage_immunities": [],
                "damage_resistances_display": "",
                "damage_resistances": [],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "",
                "condition_immunities": []
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Stabbing Forelimbs",
                    "desc": "Melee Weapon Attack: +5 to hit, reach 5 ft., one creature. Hit: 10 (2d6 + 3) piercing damage. The target is grappled (escape DC 12) if it is a Medium or smaller creature and the skate doesn't have two other creatures grappled. Until this grapple ends, the target is restrained. If the target is in a liquid, the skate can hold it under the surface, and the target risks suffocating.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Stabbing Forelimbs attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 5,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D6",
                            "damage_bonus": 3,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Piercing",
                                "key": "piercing"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Water Walker",
                    "desc": "The spurred water skate can move across the surface of water as if it were harmless, solid ground. This trait works like the water walk spell."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "tob2_stellar-rorqual",
            "name": "Stellar Rorqual",
            "document": {
                "name": "Tome of Beasts 2",
                "key": "tob2",
                "type": "SOURCE",
                "display_name": "Tome of Beasts 2",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/tome-of-beasts-2/"
            },
            "type": {
                "name": "Aberration",
                "key": "aberration"
            },
            "size": {
                "name": "Gargantuan",
                "key": "gargantuan"
            },
            "challenge_rating": 12.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 0,
                "unit": "feet",
                "fly": 80,
                "swim": 40
            },
            "speed_all": {
                "unit": "feet",
                "walk": 0,
                "crawl": 0,
                "hover": false,
                "fly": 80,
                "burrow": 0,
                "climb": 0,
                "swim": 40
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "neutral",
            "languages": {
                "as_string": "understands Void Speech but can't speak, telepathy 360 ft.",
                "data": []
            },
            "armor_class": 14,
            "armor_detail": "natural armor",
            "hit_points": 165,
            "hit_dice": "10d20+60",
            "experience_points": 8400,
            "ability_scores": {
                "strength": 26,
                "dexterity": 8,
                "constitution": 22,
                "intelligence": 7,
                "wisdom": 18,
                "charisma": 8
            },
            "modifiers": {
                "strength": 8,
                "dexterity": -1,
                "constitution": 6,
                "intelligence": -2,
                "wisdom": 4,
                "charisma": -1
            },
            "initiative_bonus": -1,
            "saving_throws": {
                "dexterity": 2,
                "wisdom": 6
            },
            "saving_throws_all": {
                "strength": 8,
                "dexterity": 2,
                "constitution": 6,
                "intelligence": -2,
                "wisdom": 6,
                "charisma": -1
            },
            "skill_bonuses": {
                "perception": 8
            },
            "skill_bonuses_all": {
                "acrobatics": -1,
                "animal_handling": 4,
                "arcana": -2,
                "athletics": 8,
                "deception": -1,
                "history": -2,
                "insight": 4,
                "intimidation": -1,
                "investigation": -2,
                "medicine": 4,
                "nature": -2,
                "perception": 8,
                "performance": -1,
                "persuasion": -1,
                "religion": -2,
                "sleight_of_hand": -1,
                "stealth": -1,
                "survival": 4
            },
            "passive_perception": 18,
            "resistances_and_immunities": {
                "damage_immunities_display": "cold, fire, radiant",
                "damage_immunities": [
                    {
                        "name": "Cold",
                        "key": "cold"
                    },
                    {
                        "name": "Fire",
                        "key": "fire"
                    },
                    {
                        "name": "Radiant",
                        "key": "radiant"
                    }
                ],
                "damage_resistances_display": "force",
                "damage_resistances": [
                    {
                        "name": "Force",
                        "key": "force"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "",
                "condition_immunities": []
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": 360,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Energy Burst",
                    "desc": "Ranged Spell Attack: +8 to hit, range 120 ft., one target. Hit: 24 (7d6) force damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Energy Burst attack",
                            "attack_type": "SPELL",
                            "to_hit_mod": 8,
                            "reach": null,
                            "range": 120,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 7,
                            "damage_die_type": "D6",
                            "damage_bonus": null,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Force",
                                "key": "force"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 3,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Head Smash",
                    "desc": "Melee Weapon Attack: +12 to hit, reach 10 ft., one target. Hit: 30 (4d10 + 8) bludgeoning damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Head Smash attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 12,
                            "reach": 10,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 4,
                            "damage_die_type": "D10",
                            "damage_bonus": 8,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Bludgeoning",
                                "key": "bludgeoning"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Multiattack",
                    "desc": "The stellar rorqual makes two attacks: one with its head smash and one with its tail slap. Alternatively, it can use Energy Burst twice.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Planar Dive",
                    "desc": "The stellar rorqual can transport itself and any willing creature inside its mouth to the Astral, Ethereal, or Material Planes or to the Void. This works like the plane shift spell, except the stellar rorqual can transport any number of willing creatures as long as they are inside its mouth. The stellar rorqual can't use this action to banish an unwilling creature.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 4,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Tail Slap",
                    "desc": "Melee Weapon Attack: +12 to hit, reach 15 ft., one target. Hit: 26 (4d8 + 8) bludgeoning damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Tail Slap attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 12,
                            "reach": 15,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 4,
                            "damage_die_type": "D8",
                            "damage_bonus": 8,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Bludgeoning",
                                "key": "bludgeoning"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Mouth Compartment",
                    "desc": "The stellar rorqual’s mouth is a compartment that is 60 feet long, 40 feet wide, and 30 feet high with a single entry and exit. The rorqual can control the ambient pressure, temperature, gravity, moisture, and breathable air levels inside its mouth, allowing creatures and objects within it to exist comfortably in spite of conditions outside the rorqual. Creatures and objects within the rorqual have total cover against attacks and other effects outside the rorqual. As an action, a creature inside the rorqual can interact with the crystalline growths inside the rorqual’s mouth and sense what the rorqual senses, gaining the benefits of its blindsight."
                },
                {
                    "name": "Stellar Burst",
                    "desc": "When the stellar rorqual dies, it releases all of its stored solar energy in a massive explosion. Each creature within 120 feet of the rorqual must make a DC 18 Dexterity saving throw, taking 21 (6d6) fire damage and 21 (6d6) radiant damage on a failed save, or half as much damage on a successful one."
                },
                {
                    "name": "Void Flier",
                    "desc": "When flying between stars, the stellar rorqual magically glides on solar winds, making the immense journey through the Void in an impossibly short time."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "tob2_stone-creeper",
            "name": "Stone Creeper",
            "document": {
                "name": "Tome of Beasts 2",
                "key": "tob2",
                "type": "SOURCE",
                "display_name": "Tome of Beasts 2",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/tome-of-beasts-2/"
            },
            "type": {
                "name": "Plant",
                "key": "plant"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 1.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 30,
                "unit": "feet",
                "climb": 20
            },
            "speed_all": {
                "unit": "feet",
                "walk": 30,
                "crawl": 15,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 20,
                "swim": 15
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "unaligned",
            "languages": {
                "as_string": "",
                "data": []
            },
            "armor_class": 12,
            "armor_detail": "",
            "hit_points": 30,
            "hit_dice": "4d8+12",
            "experience_points": 200,
            "ability_scores": {
                "strength": 12,
                "dexterity": 15,
                "constitution": 16,
                "intelligence": 4,
                "wisdom": 6,
                "charisma": 4
            },
            "modifiers": {
                "strength": 1,
                "dexterity": 2,
                "constitution": 3,
                "intelligence": -3,
                "wisdom": -2,
                "charisma": -3
            },
            "initiative_bonus": 2,
            "saving_throws": {},
            "saving_throws_all": {
                "strength": 1,
                "dexterity": 2,
                "constitution": 3,
                "intelligence": -3,
                "wisdom": -2,
                "charisma": -3
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 2,
                "animal_handling": -2,
                "arcana": -3,
                "athletics": 1,
                "deception": -3,
                "history": -3,
                "insight": -2,
                "intimidation": -3,
                "investigation": -3,
                "medicine": -2,
                "nature": -3,
                "perception": -2,
                "performance": -3,
                "persuasion": -3,
                "religion": -3,
                "sleight_of_hand": 2,
                "stealth": 2,
                "survival": -2
            },
            "passive_perception": 8,
            "resistances_and_immunities": {
                "damage_immunities_display": "acid, poison",
                "damage_immunities": [
                    {
                        "name": "Acid",
                        "key": "acid"
                    },
                    {
                        "name": "Poison",
                        "key": "poison"
                    }
                ],
                "damage_resistances_display": "bludgeoning",
                "damage_resistances": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    }
                ],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "poisoned",
                "condition_immunities": [
                    {
                        "name": "Poisoned",
                        "key": "poisoned"
                    }
                ]
            },
            "normal_sight_range": null,
            "darkvision_range": null,
            "blindsight_range": null,
            "tremorsense_range": 60,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Acid-coated Thorn",
                    "desc": "Ranged Weapon Attack: +4 to hit, range 20/60 ft., one creature. Hit: 4 (1d4 + 2) piercing damage plus 2 (1d4) acid damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Acid-coated Thorn attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 4,
                            "reach": null,
                            "range": 20,
                            "long_range": 60,
                            "target_creature_only": false,
                            "damage_die_count": 1,
                            "damage_die_type": "D4",
                            "damage_bonus": 2,
                            "damage_type": null,
                            "extra_damage_die_count": 1,
                            "extra_damage_die_type": "D4",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Acid",
                                "key": "acid"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Thorned Vine",
                    "desc": "Melee Weapon Attack: +4 to hit, reach 10 ft., one creature. Hit: 5 (1d6 + 2) piercing damage plus 5 (2d4) acid damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Thorned Vine attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 4,
                            "reach": 10,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 1,
                            "damage_die_type": "D6",
                            "damage_bonus": 2,
                            "damage_type": null,
                            "extra_damage_die_count": 2,
                            "extra_damage_die_type": "D4",
                            "extra_damage_bonus": 0,
                            "extra_damage_type": {
                                "name": "Acid",
                                "key": "acid"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Weaken Stone",
                    "desc": "While climbing on a wall or ceiling made of worked stone, the stone creeper injects its acid into the mortar, weakening the structure. Each creature within 10 feet of the wall or in a 10-foot cube beneath the ceiling must make a DC 12 Dexterity saving throw, taking 7 (2d6) bludgeoning damage on a failed save, or half as much damage on a successful one. A creature that fails its saving throw when beneath a ceiling is also knocked prone and buried. The buried target is restrained and unable to breathe or stand up. A creature, including the target, can take its action to remove the rubble and free the buried target by succeeding on a DC 10 Strength check.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "False Appearance",
                    "desc": "While the stone creeper remains motionless, it is indistinguishable from an ordinary vine."
                },
                {
                    "name": "Mass of Vines",
                    "desc": "The stone creeper can move through a space as narrow as 1 foot wide without squeezing."
                },
                {
                    "name": "Spider Climb",
                    "desc": "The stone creeper can climb difficult surfaces, including upside down on ceilings, without needing to make an ability check."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "tob2_stormboar",
            "name": "Stormboar",
            "document": {
                "name": "Tome of Beasts 2",
                "key": "tob2",
                "type": "SOURCE",
                "display_name": "Tome of Beasts 2",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/tome-of-beasts-2/"
            },
            "type": {
                "name": "Monstrosity",
                "key": "monstrosity"
            },
            "size": {
                "name": "Large",
                "key": "large"
            },
            "challenge_rating": 6.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 40,
                "unit": "feet"
            },
            "speed_all": {
                "unit": "feet",
                "walk": 40,
                "crawl": 20,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 20,
                "swim": 20
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "unaligned",
            "languages": {
                "as_string": "",
                "data": []
            },
            "armor_class": 15,
            "armor_detail": "natural armor",
            "hit_points": 95,
            "hit_dice": "10d10+40",
            "experience_points": 2300,
            "ability_scores": {
                "strength": 19,
                "dexterity": 12,
                "constitution": 18,
                "intelligence": 3,
                "wisdom": 10,
                "charisma": 7
            },
            "modifiers": {
                "strength": 4,
                "dexterity": 1,
                "constitution": 4,
                "intelligence": -4,
                "wisdom": 0,
                "charisma": -2
            },
            "initiative_bonus": 1,
            "saving_throws": {},
            "saving_throws_all": {
                "strength": 4,
                "dexterity": 1,
                "constitution": 4,
                "intelligence": -4,
                "wisdom": 0,
                "charisma": -2
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 1,
                "animal_handling": 0,
                "arcana": -4,
                "athletics": 4,
                "deception": -2,
                "history": -4,
                "insight": 0,
                "intimidation": -2,
                "investigation": -4,
                "medicine": 0,
                "nature": -4,
                "perception": 0,
                "performance": -2,
                "persuasion": -2,
                "religion": -4,
                "sleight_of_hand": 1,
                "stealth": 1,
                "survival": 0
            },
            "passive_perception": 10,
            "resistances_and_immunities": {
                "damage_immunities_display": "lightning, thunder",
                "damage_immunities": [
                    {
                        "name": "Lightning",
                        "key": "lightning"
                    },
                    {
                        "name": "Thunder",
                        "key": "thunder"
                    }
                ],
                "damage_resistances_display": "",
                "damage_resistances": [],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "",
                "condition_immunities": []
            },
            "normal_sight_range": 10560,
            "darkvision_range": null,
            "blindsight_range": null,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Lightning Run",
                    "desc": "The boar becomes a bolt of living lightning and moves up to its speed without provoking opportunity attacks. It can move through creatures and objects as if they were difficult terrain. It takes 5 (1d10) force damage and is pushed to the closest unoccupied space if it ends its turn inside an object. Each creature in the boar's path must make a DC 15 Dexterity saving throw, taking 22 (4d10) lightning damage on a failed save, or half as much damage on a successful one.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": {
                        "type": "RECHARGE_ON_ROLL",
                        "param": 6
                    }
                },
                {
                    "name": "Thunder Leap",
                    "desc": "The boar moves up to 20 feet, jumping over obstacles in its way. Difficult terrain doesn't cost it extra movement when it leaps. Each creature within 10 feet of the boar when it leaps and each creature within 10 feet of where it lands must make a DC 15 Constitution saving throw. On a failure, a creature takes 16 (3d10) thunder damage and is pushed up to 10 feet away from the boar. On a success, a creature takes half the damage and isn't pushed.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": {
                        "type": "RECHARGE_ON_ROLL",
                        "param": 6
                    }
                },
                {
                    "name": "Tusk",
                    "desc": "Melee Weapon Attack: +7 to hit, reach 5 ft., one target. Hit: 11 (2d6 + 4) slashing damage and 11 (2d10) lightning damage. In addition, nonmagical metal armor worn by the target is partly devoured by the boar and takes a permanent and cumulative -2 penalty to the AC it offers. The armor is destroyed if the penalty reduces its AC to 10.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Tusk attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 7,
                            "reach": 5,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D6",
                            "damage_bonus": 4,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Lightning",
                                "key": "lightning"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Iron Scent",
                    "desc": "The boar can pinpoint, by scent, the location of ferrous metal within 60 feet of it."
                },
                {
                    "name": "Lightning Hide",
                    "desc": "A creature that touches the boar or hits it with a melee attack while within 5 feet of it takes 5 (2d4) lightning damage."
                },
                {
                    "name": "Relentless (Recharges after a Short or Long Rest)",
                    "desc": "If the boar takes 15 damage or less that would reduce it to 0 hp, it is reduced to 1 hp instead."
                },
                {
                    "name": "Thunder Charge",
                    "desc": "If the boar moves at least 20 feet straight toward a target and then hits it with a tusk attack on the same turn, the target takes an extra 11 (2d10) thunder damage. If the target is a creature, it must succeed on a DC 15 Strength saving throw or be knocked prone."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "tob2_strobing-fungus",
            "name": "Strobing Fungus",
            "document": {
                "name": "Tome of Beasts 2",
                "key": "tob2",
                "type": "SOURCE",
                "display_name": "Tome of Beasts 2",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/tome-of-beasts-2/"
            },
            "type": {
                "name": "Plant",
                "key": "plant"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 4.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 10,
                "unit": "feet"
            },
            "speed_all": {
                "unit": "feet",
                "walk": 10,
                "crawl": 5,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 5,
                "swim": 5
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "unaligned",
            "languages": {
                "as_string": "understands Common but can't speak",
                "data": []
            },
            "armor_class": 13,
            "armor_detail": "natural armor",
            "hit_points": 76,
            "hit_dice": "9d8+36",
            "experience_points": 1100,
            "ability_scores": {
                "strength": 16,
                "dexterity": 11,
                "constitution": 19,
                "intelligence": 5,
                "wisdom": 13,
                "charisma": 15
            },
            "modifiers": {
                "strength": 3,
                "dexterity": 0,
                "constitution": 4,
                "intelligence": -3,
                "wisdom": 1,
                "charisma": 2
            },
            "initiative_bonus": 0,
            "saving_throws": {},
            "saving_throws_all": {
                "strength": 3,
                "dexterity": 0,
                "constitution": 4,
                "intelligence": -3,
                "wisdom": 1,
                "charisma": 2
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": 0,
                "animal_handling": 1,
                "arcana": -3,
                "athletics": 3,
                "deception": 2,
                "history": -3,
                "insight": 1,
                "intimidation": 2,
                "investigation": -3,
                "medicine": 1,
                "nature": -3,
                "perception": 1,
                "performance": 2,
                "persuasion": 2,
                "religion": -3,
                "sleight_of_hand": 0,
                "stealth": 0,
                "survival": 1
            },
            "passive_perception": 11,
            "resistances_and_immunities": {
                "damage_immunities_display": "",
                "damage_immunities": [],
                "damage_resistances_display": "",
                "damage_resistances": [],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "blinded, deafened, frightened",
                "condition_immunities": [
                    {
                        "name": "Blinded",
                        "key": "blinded"
                    },
                    {
                        "name": "Deafened",
                        "key": "deafened"
                    },
                    {
                        "name": "Frightened",
                        "key": "frightened"
                    }
                ]
            },
            "normal_sight_range": null,
            "darkvision_range": null,
            "blindsight_range": 60,
            "tremorsense_range": null,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Chemical Burn",
                    "desc": "Melee or Ranged Weapon Attack: +5 to hit, reach 5 ft. or range 30/120 ft., one creature. Hit: 13 (3d6 + 3) acid damage.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Chemical Burn attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 5,
                            "reach": 5,
                            "range": 30,
                            "long_range": 120,
                            "target_creature_only": false,
                            "damage_die_count": 3,
                            "damage_die_type": "D6",
                            "damage_bonus": 3,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Acid",
                                "key": "acid"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Multiattack",
                    "desc": "The strobing fungus makes two attacks.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Strobe",
                    "desc": "As a bonus action, the strobing fungus can start emitting a powerful, strobing light. It rapidly alternates between shedding bright light in a 60-foot radius and shedding no light, creating a dizzying effect unless the area’s ambient light is bright light. Each creature within 60 feet of the strobing fungus and that can see the light must succeed on a DC 14 Constitution saving throw or be blinded for 1 minute. A blinded creature can repeat the saving throw at the end of each of its turns, ending the effect on itself on a success.\n\nUnless surprised, a creature with a shield or other similarly-sized object can use its reaction to raise the object and protect its eyes from the light, avoiding the saving throw. If it does so, it can’t use that object for anything else. For example, a creature using a shield to protect its eyes loses the shield’s bonus to its Armor Class while using the shield in this way. If the creature looks at the strobing fungus or lowers or uses the object protecting its eyes, it must immediately make the save.\n\nWhile emitting light, the strobing fungus can’t attack. It can stop emitting light at any time (no action required)."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "tob2_swamp-lily",
            "name": "Swamp Lily",
            "document": {
                "name": "Tome of Beasts 2",
                "key": "tob2",
                "type": "SOURCE",
                "display_name": "Tome of Beasts 2",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/tome-of-beasts-2/"
            },
            "type": {
                "name": "Plant",
                "key": "plant"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 7.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 15,
                "unit": "feet"
            },
            "speed_all": {
                "unit": "feet",
                "walk": 15,
                "crawl": 7,
                "hover": false,
                "fly": 0,
                "burrow": 0,
                "climb": 7,
                "swim": 7
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "unaligned",
            "languages": {
                "as_string": "",
                "data": []
            },
            "armor_class": 15,
            "armor_detail": "natural armor",
            "hit_points": 136,
            "hit_dice": "16d8+64",
            "experience_points": 2900,
            "ability_scores": {
                "strength": 16,
                "dexterity": 9,
                "constitution": 18,
                "intelligence": 4,
                "wisdom": 12,
                "charisma": 17
            },
            "modifiers": {
                "strength": 3,
                "dexterity": -1,
                "constitution": 4,
                "intelligence": -3,
                "wisdom": 1,
                "charisma": 3
            },
            "initiative_bonus": -1,
            "saving_throws": {},
            "saving_throws_all": {
                "strength": 3,
                "dexterity": -1,
                "constitution": 4,
                "intelligence": -3,
                "wisdom": 1,
                "charisma": 3
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": -1,
                "animal_handling": 1,
                "arcana": -3,
                "athletics": 3,
                "deception": 3,
                "history": -3,
                "insight": 1,
                "intimidation": 3,
                "investigation": -3,
                "medicine": 1,
                "nature": -3,
                "perception": 1,
                "performance": 3,
                "persuasion": 3,
                "religion": -3,
                "sleight_of_hand": -1,
                "stealth": -1,
                "survival": 1
            },
            "passive_perception": 11,
            "resistances_and_immunities": {
                "damage_immunities_display": "poison",
                "damage_immunities": [
                    {
                        "name": "Poison",
                        "key": "poison"
                    }
                ],
                "damage_resistances_display": "",
                "damage_resistances": [],
                "damage_vulnerabilities_display": "",
                "damage_vulnerabilities": [],
                "condition_immunities_display": "blinded, deafened, poisoned",
                "condition_immunities": [
                    {
                        "name": "Blinded",
                        "key": "blinded"
                    },
                    {
                        "name": "Deafened",
                        "key": "deafened"
                    },
                    {
                        "name": "Poisoned",
                        "key": "poisoned"
                    }
                ]
            },
            "normal_sight_range": null,
            "darkvision_range": null,
            "blindsight_range": null,
            "tremorsense_range": 60,
            "truesight_range": null,
            "actions": [
                {
                    "name": "Fake Feast",
                    "desc": "The swamp lily magically creates the image of a banquet within 5 feet of itself that compels creatures to eat from it. Each creature within 60 feet of the banquet that can see the banquet must succeed on a DC 15 Wisdom saving throw or be charmed by the lily. The lily must take a bonus action on its subsequent turns to maintain the illusion. The illusion ends if the lily is incapacitated.\n\nWhile charmed by the lily, a target is incapacitated and ignores the banquets of other lilies. If the charmed target is more than 5 feet away from the lily's banquet, the target must move on its turn toward the banquet by the most direct route, trying to get within 5 feet. It doesn't avoid opportunity attacks, but before moving into damaging terrain, such as lava or a pit, and whenever it takes damage from a source other than the lily, the target can repeat the saving throw. A charmed target can also repeat the saving throw at the end of each of its turns. If the saving throw is successful, the effect ends on it. A target that successfully saves is immune to this swamp lily's Fake Feast for the next 24 hours.\n\nIf the charmed target starts its turn within 5 feet of the banquet, it eats the feast and must make a DC 15 Constitution saving throw. On a failure, the creature takes 21 (6d6) poison damage and is poisoned for 1 minute. On a success, the creature takes half the damage and isn't poisoned.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 2,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Multiattack",
                    "desc": "The swamp lily makes two root attacks.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [],
                    "action_type": "ACTION",
                    "order_in_statblock": 0,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                },
                {
                    "name": "Root",
                    "desc": "Melee Weapon Attack: +6 to hit, reach 10 ft., one creature. Hit: 12 (2d8 + 3) bludgeoning damage, and the target must make a DC 15 Constitution saving throw, taking 10 (3d6) poison damage on a failed save, or half as much damage on a successful one.",
                    "crossreferences": {
                        "to": []
                    },
                    "attacks": [
                        {
                            "name": "Root attack",
                            "attack_type": "WEAPON",
                            "to_hit_mod": 6,
                            "reach": 10,
                            "range": null,
                            "long_range": null,
                            "target_creature_only": false,
                            "damage_die_count": 2,
                            "damage_die_type": "D8",
                            "damage_bonus": 3,
                            "damage_type": null,
                            "extra_damage_die_count": null,
                            "extra_damage_die_type": null,
                            "extra_damage_bonus": null,
                            "extra_damage_type": {
                                "name": "Poison",
                                "key": "poison"
                            },
                            "distance_unit": "feet"
                        }
                    ],
                    "action_type": "ACTION",
                    "order_in_statblock": 1,
                    "legendary_action_cost": null,
                    "limited_to_form": null,
                    "usage_limits": null
                }
            ],
            "traits": [
                {
                    "name": "Discern Food Preferences",
                    "desc": "The swamp lily can use an action to read the surface thoughts of all creatures within 60 feet of it. This works like the detect thoughts spell, except the lily can only determine each creature’s favorite food. Each creature within range must succeed on a DC 15 Wisdom saving throw or have disadvantage on its saving throw against the lily’s Fake Feast action."
                }
            ],
            "creaturesets": [],
            "environments": [],
            "illustration": null,
            "crossreferences": {
                "to": []
            }
        },
        {
            "key": "tob2_swampgas-bubble",
            "name": "Swampgas Bubble",
            "document": {
                "name": "Tome of Beasts 2",
                "key": "tob2",
                "type": "SOURCE",
                "display_name": "Tome of Beasts 2",
                "publisher": {
                    "name": "Kobold Press",
                    "key": "kobold-press"
                },
                "gamesystem": {
                    "name": "5th Edition 2014",
                    "key": "5e-2014"
                },
                "permalink": "https://koboldpress.com/tome-of-beasts-2/"
            },
            "type": {
                "name": "Ooze",
                "key": "ooze"
            },
            "size": {
                "name": "Medium",
                "key": "medium"
            },
            "challenge_rating": 2.0,
            "proficiency_bonus": null,
            "speed": {
                "walk": 20,
                "unit": "feet",
                "fly": 30,
                "hover": true
            },
            "speed_all": {
                "unit": "feet",
                "walk": 20,
                "crawl": 10,
                "hover": true,
                "fly": 30,
                "burrow": 0,
                "climb": 10,
                "swim": 10
            },
            "category": "Monsters",
            "subcategory": null,
            "alignment": "unaligned",
            "languages": {
                "as_string": "",
                "data": []
            },
            "armor_class": 8,
            "armor_detail": "",
            "hit_points": 59,
            "hit_dice": "7d8+28",
            "experience_points": 450,
            "ability_scores": {
                "strength": 16,
                "dexterity": 7,
                "constitution": 18,
                "intelligence": 1,
                "wisdom": 10,
                "charisma": 3
            },
            "modifiers": {
                "strength": 3,
                "dexterity": -2,
                "constitution": 4,
                "intelligence": -5,
                "wisdom": 0,
                "charisma": -4
            },
            "initiative_bonus": -2,
            "saving_throws": {},
            "saving_throws_all": {
                "strength": 3,
                "dexterity": -2,
                "constitution": 4,
                "intelligence": -5,
                "wisdom": 0,
                "charisma": -4
            },
            "skill_bonuses": {},
            "skill_bonuses_all": {
                "acrobatics": -2,
                "animal_handling": 0,
                "arcana": -5,
                "athletics": 3,
                "deception": -4,
                "history": -5,
                "insight": 0,
                "intimidation": -4,
                "investigation": -5,
                "medicine": 0,
                "nature": -5,
                "perception": 0,
                "performance": -4,
                "persuasion": -4,
                "religion": -5,
                "sleight_of_hand": -2,
                "stealth": -2,
                "survival": 0
            },
            "passive_perception": 10,
            "resistances_and_immunities": {
                "damage_immunities_display": "bludgeoning, poison",
                "damage_immunities": [
                    {
                        "name": "Bludgeoning",
                        "key": "bludgeoning"
                    },
                    {
                        "name": "Poison",
                        "key": "poison"
                    }
                ],
                "damage_resistances_display": "",
                "damage_resistances": [],
                "damage_vulnerabilities_display": "fire",
                "damage_vulnerabilities": [
                    {
                        "name": "Fire",
                        "key": "fire"
                    }
                ],
[...]
